{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function send_event, post_event, set_property, msg\r\ndeclare subroutine forward_event, yield\r\nDECLARE FUNCTION Get_Property, NextKey\r\nDECLARE SUBROUTINE Set_Property\r\n\r\n\r\nA = Get_Property('NOTES.SEQ','TEXT')\r\n\r\nIF Get_Property('NOTES.SEQ','TEXT') = '' THEN\r\n\tNextNoteID = NextKey('NOTES')\r\n\tSet_Property('NOTES.SEQ','TEXT',NextNoteID)\r\nEND\r\n\t\r\nVoid = send_event( CtrlEntId, 'LOSTFOCUS', '' )\r\n\r\nRETURN 0\r\n"
        }
    }
}